0

I followed the link @https://linuxize.com/post/how-to-install-pip-on-centos-7/#2-install-pip to install pip ,however its intalled for python 2.6 that comes with the system,how do I install it for python 2.7?

After some research ,I tried https://stackoverflow.com/search?q=%5Bpip%5D+is+configured+with+locations+that+require+TLS%2FSSL%2C+however+the+ssl+module+in+Python+is+not+available , I tried yum install openssl-devel -y but I couldnt find any sources to hack as mentioned in the second solution in the link I shared

sudo yum install epel-release
Loaded plugins: security
Setting up Install Process
Package epel-release-6-8.noarch already installed and latest version
Nothing to do

Installing pip

 sudo yum install python-pip
Loaded plugins: security
Setting up Install Process
Package python-pip-7.1.0-1.el6.noarch already installed and latest version
Nothing to do

pip version

pip --version
pip 7.1.0 from /usr/lib/python2.6/site-packages (python 2.6)

Machine configuration:

LSB Version:    :base-4.0-amd64:base-4.0-noarch:core-4.0-amd64:core-4.0-noarch:graphics-4.0-amd64:graphics-4.0-noarch:printing-4.0-amd64:printing-4.0-noarch
Distributor ID: OracleServer
Description:    Oracle Linux Server release 6.6
Release:    6.6
Codename:   n/a
  • In order to install pip for python 2.7, the latter has to first be installed on the system. Have you done this? – Nasir Riley Jan 23 at 2:20

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Browse other questions tagged or ask your own question.